For the complete documentation index, see llms.txt. This page is also available as Markdown.

/faces/{Id}

Updates the specimen (face) with the same Id in the database.

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
IdstringObrigatório

An identifier of a specimen (face) in the database.

Example: 6782225b-1793-4b68-a9de-8fdb3628c7e5
Corpo

Body for the face POST request

mediaIdstringObrigatório

An image identifier in the database.

Example: 9c79c818-b81a-4959-b65a-a2b0c8143528
tenantIdstringObrigatório

An identifier used to group different images or biometric templates in a common space.

Example: 57fbc814-3f40-402c-9d29-262f99c3b896
descriptionstringObrigatório

Description of the specimen (face) stored in the database.

Example: It's a description of the person
Respostas
200

The updated specimen data stored in the database.

application/json

Data fields of the specimen in the database

createAtstringOpcional

Date/time value in "%Y-%m-%dT%H:%M:%SZ" format at which a specimen (face) was created.

Example: 2024-11-20T15:39:32Z
descriptionstringOpcional

Description of the specimen (face) stored in the database.

Example: It's a description of the person
facialTemplateRawstringOpcional

An extended token that contains biometric templates and metadata. Storing it in databases is recommended because it is persistent. It may be updated automatically if the extraction technology changes. It is encoded in base64 RFC4648.

Example: QTevT1Lv5jr0rNyzS3u6SAscolMU+bHitq...
idstringOpcional

An identifier of a specimen (face) in the database.

Example: 6782225b-1793-4b68-a9de-8fdb3628c7e5
mediaIdstringOpcional

An image identifier in the database.

Example: 9c79c818-b81a-4959-b65a-a2b0c8143528
tenantIdstringOpcional

An identifier used to group different images or biometric templates in a common space.

Example: 57fbc814-3f40-402c-9d29-262f99c3b896
updateAtstringOpcional

Date/time value in "%Y-%m-%dT%H:%M:%SZ" format at which a specimen (face) was updated.

Example: 2025-03-18T12:54:02Z
put/faces/{Id}
PUT /faces/{Id} HTTP/1.1
Host: 127.0.0.1:6982/
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 149

{
  "mediaId": "9c79c818-b81a-4959-b65a-a2b0c8143528",
  "tenantId": "57fbc814-3f40-402c-9d29-262f99c3b896",
  "description": "It's a description of the person"
}
{
  "createAt": "2024-11-20T15:39:32Z",
  "description": "It's a description of the person",
  "facialTemplateRaw": "QTevT1Lv5jr0rNyzS3u6SAscolMU+bHitq...",
  "id": "6782225b-1793-4b68-a9de-8fdb3628c7e5",
  "mediaId": "9c79c818-b81a-4959-b65a-a2b0c8143528",
  "tenantId": "57fbc814-3f40-402c-9d29-262f99c3b896",
  "updateAt": "2025-03-18T12:54:02Z"
}

Atualizado